curl --request DELETE \
--url https://api.lmnr.ai/v1/signals/{signal_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lmnr.ai/v1/signals/{signal_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lmnr.ai/v1/signals/{signal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"prompt": "<string>",
"structuredOutput": {},
"sampleRate": 48,
"disabled": true,
"trigger": {
"type": "rootSpanFinished"
},
"filters": [
{
"column": "total_token_count",
"operator": "eq",
"value": "<unknown>"
}
],
"mode": "batch",
"llmProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"version": 2,
"llmProfileName": "<string>"
}{
"error": "<string>"
}Delete a Signal
Deletes a Signal and returns its final state.
Deleting a Signal also deletes all of its alerts and events and is irreversible. We recommend disabling the Signal instead. You can disable it from the UI or through the Update a Signal endpoint by setting disabled to true.
Authorizations
A Laminar project API key.
Path Parameters
Response
Signal deleted.
255JSON Schema for the Signal's structured result.
Percentage of matching traces to sample; null clears sampling on update.
1 <= x <= 95- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
batch, realtime Self-hosted only. Workspace LLM profile used to evaluate the Signal. Provide with model; omit both fields on update to keep the existing route.
Self-hosted only. Model selected from llmProfileId. Provide both fields together.
Server-managed version of the Signal configuration.
x >= 1Display name of the selected workspace LLM profile.